Bitcoin Net Unrealized Profit/Loss (NUPL)
Ratio obtained by dividing the total unrealized gains or losses by the market capitalization of all bitcoins in circulation
How to call
Request format
GET
curl -X GET "https://newhedge.io/api/v2/metrics/net-unrealized-profit-loss/METRIC_NAME?api_token=YOUR_TOKEN"
Query params
api_token (required) — 24 character token.
Path params
:metric_name — one of the metric names listed below.
Responses
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each metric is fetched independently. Responses are trimmed samples to show structure.
Metric
Net Unrealized Profit/Loss
Data used by the Bitcoin NUPL chart.
Endpoint
https://newhedge.io/api/v2/metrics/net-unrealized-profit-loss/net_unrealized_profit_loss?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
Sample response
200
Successful response
[
[
1778976000000,
30.39356840415993
],
[
1779062400000,
29.57830159715542
],
[
1779148800000,
29.25118516887013
]
]